
html, body {
    font-family: 'Segoe UI';
    margin: 0;
    padding: 0;
    background-color: #fff;
    display: flex;
    flex-direction: column;
    height: 100%;
}


.header {
    color: white;
    text-align: left;
    display: flex;
    align-content: center;
    flex-basis: center;
    height: 50px;
    position: sticky;
    top: 0;
    z-index: 999;
    flex-shrink: 0;
}
.company {
    display: flex;
    align-items: center;
    font-size: 25px;
    font-weight: bold;
    background-image: url('../assets/company-background.jpg');
    background-size: cover;
    padding: 0px 8px 5px 8px;
}

.small-media {display: none;}
@media (max-width:850px) {
    .small-media {display: inline;}
}
.large-media {display: inline;}
@media (max-width:850px) {
    .large-media {display: none !important;}
}

.punch-line {
    font-weight: lighter;
    font-size: 18px;
    display: flex;
    align-items: center;
    margin: auto 8px;
}


.container {
    height: fill;
    overflow-y: scroll;
    flex: 1;
    text-align: center;
}

.gradient {
    background: radial-gradient(circle at center 300px, rgb(0, 128, 128), Black 75%) ;
}

.products {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}
.card {
    background-color: #fff;
    border-radius: 5px;
    margin: 10px 30px 0px 30px;
    padding: 20px;
    width: 350px;
    position: relative;
}
.card:hover {
    background: #fafafa;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.card img {
    width: 100px;
    height: 100px;
}

.card h2 {
    font-weight: lighter;
}

.moqu {
    color: rgb(110,150,170);
}
#moqu b{
    color: rgb(110,150,170);
}

.bimsens {
    color: rgb(0,128,128);
}
#bimsens b {
    color: rgb(0,128,128);
}

.pango {
    color: rgb(180,150,130);
}
#pango b {
    color: rgb(180,150,130);
}


.card p {
    display: block;
    margin: 10px 0;
}


.card .key-features,
.card .feature-details {
    transition: all 0.5s ease;
}

.feature-details {
    overflow: hidden;
    max-height: 0px;
    text-align: left;
    font-size: 13px;
    margin-top: 20px;
}
.card:hover .feature-details {
    max-height: 600px;
}
.feature-details ul {
    margin-bottom: 80px;
}
.feature-details li {
    margin-bottom: 6px;
    list-style: none;
}
.feature-details li.separator {
    margin-bottom: 15px;
}

.card .key-features{
    overflow: hidden;
    max-height: 170px;
}
.card:hover .key-features{
    max-height: 0px;
}	

.card .icons {
    display: flex;
    justify-content: space-between;
    margin: 40px 25px;
}
.card:hover .icons {
    margin-top: 20px;
}
.card .icons img {
    margin: 0 10px;
    width: auto;
    height: 40px;
}

.hr-line-container {
    padding-right: 50px;
}
.hr-line {
    background-color: #ccc;
    height: 1px;
    width: 30px;
    margin: 7px auto;
}

div.card-footer-links {
    position: absolute;
    bottom: 20px; 
    justify-content: space-between;
    box-sizing: border-box;
    width: calc(100% - 40px);
    display: none;
    color:#ccc;
}
.card:hover div.card-footer-links {
    display: flex;
}

.card .card-footer-link {
    text-decoration: none;
    padding: 4px 8px;
    font-size: 14px;
    border-radius: 4px;
}
.card .card-footer-link:hover {
    background-color: #8881;
}


.highlight {
    font-weight: bold;
}

@media (max-width: 600px) {
    .products {
        flex-direction: column;
        align-items: center;
    }
}


.modal {
    display: none;
    position: fixed; 
    z-index: 1; 
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    overflow: auto; 
    background-color: rgb(0,0,0); 
    background-color: rgba(0,0,0,0.4); 
  }
  
  .modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 40px;
    border: 1px solid #888;
    width: 80%; 
    max-width: 390px;
    & ul {
        margin: 0px;
        padding-left: 20px;
    }
  }
  .modal-buttons {
    margin-top: 30px;
    font-size: 14px;
    color: #088;
    display: flex;
    justify-content: right;
    column-gap: 5px;
  }
  
  .button-focus {
    text-decoration: none;
    padding: 5px 10px;
    cursor: pointer;
    background-color: #088;
    color: white;
    border-radius: 5px;
    &:hover {
        background-color: #055;
        color: white;
    }
    &:focus {
        background-color: #033;
        color: white;
    }
  }

  .button-primary {
    text-decoration: none;
    padding: 5px 10px;
    cursor: pointer;
    color: #088;
    border: 1px solid #088;
    border-radius: 5px;
    &:hover {
        background-color: #088;
        color: white;
    }
    &:focus {
        background-color: #055;
        color: white;
    }
  }

  .button-secondary {
    text-decoration: none;
    padding: 5px 10px;
    cursor: pointer;
    border: 1px solid white;
    border-radius: 5px;
    color: #088;
    &:hover {
        border: 1px solid #088;
    }
    &:focus {
        border: 1px solid #088;
        background-color: #088;
        color: white;
    }
  }


  .info-icon::after {
    content: '';
    display: inline-block;
    width: 12px;
    height: 12px;
    background-image: url('../assets/Info.png');
    background-size: contain;
    margin-left: 5px;
    opacity: 30%;
}




.footer {
    color: white;
    margin-top: auto;
    padding-left: 10px;
    padding: 10px;
    font-size: 12px;
    display: flex;
    justify-content: space-between;
    position: relative;
    flex-shrink: 0;
}
.footer a, .header a {
    color: white;
    margin: 0 5px;
    padding: 5px;
    text-decoration: none;
    border-radius: 3px;
}
.footer a:hover, .header a:hover{
    background: #0885;
}